global WS2 WS1 Special templet counter

Special=0;
if templet==1
    Special=-1;
end

if Special==1
    if WS2(1)~=WS1(1)
        set(findobj(hObject,'Tag','edit2_61'),'ForegroundColor',[0 1 0]);
    end
    if Ws(1)~=WS1(1)
        set(findobj(hObject,'Tag','edit3_61'),'ForegroundColor',[0 1 1]);
    end
  
elseif Special==0
    if WS2(1)~=WS1(1)
        set(findobj(hObject,'Tag','edit2_61'),'ForegroundColor',[0 1 0]);
    end
    if Ws(1)~=WS2(1)
        set(findobj(hObject,'Tag','edit3_61'),'ForegroundColor',[0 1 1]);
    end
end

switch Ws(1)
        case 1
            set(findobj(hObject,'Tag','edit3_61'),'string','U');
        case 2
            set(findobj(hObject,'Tag','edit3_61'),'string','MLU');
        case 3
            set(findobj(hObject,'Tag','edit3_61'),'string','MLI');
        case 4
            set(findobj(hObject,'Tag','edit3_61'),'string','VI');
end

if Special==1
    if WS2(2)~=WS1(2)
        set(findobj(hObject,'Tag','edit2_62'),'ForegroundColor',[0 1 0]);
    end
    if Ws(2)~=WS1(2)
        set(findobj(hObject,'Tag','edit3_62'),'ForegroundColor',[0 1 1]);
    end
  
elseif Special==0
if WS2(2)~=WS1(2)
    set(findobj(hObject,'Tag','edit2_62'),'ForegroundColor',[0 1 0]);
end
if Ws(2)~=WS2(2)
    set(findobj(hObject,'Tag','edit3_62'),'ForegroundColor',[0 1 1]);
end
end
switch Ws(2)
        case 1
            set(findobj(hObject,'Tag','edit3_62'),'string','U');
        case 2
            set(findobj(hObject,'Tag','edit3_62'),'string','MLU');
        case 3
            set(findobj(hObject,'Tag','edit3_62'),'string','MLI');
        case 4
            set(findobj(hObject,'Tag','edit3_62'),'string','VI');
end


if Special==1
    if WS2(3)~=WS1(3)
        set(findobj(hObject,'Tag','edit2_63'),'ForegroundColor',[0 1 0]);
    end
    if Ws(3)~=WS1(3)
        set(findobj(hObject,'Tag','edit3_63'),'ForegroundColor',[0 1 1]);
    end
  
elseif Special==0
if WS2(3)~=WS1(3)
    set(findobj(hObject,'Tag','edit2_63'),'ForegroundColor',[0 1 0]);
end
if Ws(3)~=WS2(3)
    set(findobj(hObject,'Tag','edit3_63'),'ForegroundColor',[0 1 1]);
end
end
switch Ws(3)
        case 1
            set(findobj(hObject,'Tag','edit3_63'),'string','MLI');
        case 2
            set(findobj(hObject,'Tag','edit3_63'),'string','VI');
end

if Special==1
    if WS2(4)~=WS1(4)
        set(findobj(hObject,'Tag','edit2_64'),'ForegroundColor',[0 1 0]);
    end
    if Ws(4)~=WS1(4)
        set(findobj(hObject,'Tag','edit3_64'),'ForegroundColor',[0 1 1]);
    end
  
elseif Special==0
if WS2(4)~=WS1(4)
    set(findobj(hObject,'Tag','edit2_64'),'ForegroundColor',[0 1 0]);
end
if Ws(4)~=WS2(4)
    set(findobj(hObject,'Tag','edit3_64'),'ForegroundColor',[0 1 1]);
end
end
switch Ws(4)
    case 1
            set(findobj(hObject,'Tag','edit3_64'),'string','U');
        case 2
            set(findobj(hObject,'Tag','edit3_64'),'string','MLU');
        case 3
            set(findobj(hObject,'Tag','edit3_64'),'string','MLI');
        case 4
            set(findobj(hObject,'Tag','edit3_64'),'string','VI');
        
end

Special=0;